Bug 975893 - biosdevname and kernel name do not agree on one device
biosdevname and kernel name do not agree on one device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: biosdevname (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Narendra K
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 10:30 EDT by Steven Michael Williams
Modified: 2014-02-05 16:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:52:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
biosdevname output (582 bytes, text/plain)
2013-06-20 12:22 EDT, Steven Michael Williams
no flags Details
biosdecode output (1.41 KB, text/plain)
2013-06-20 12:23 EDT, Steven Michael Williams
no flags Details
dmidecode.output (20.78 KB, text/plain)
2013-06-20 12:25 EDT, Steven Michael Williams
no flags Details
lspic-tv.output (1.24 KB, text/plain)
2013-06-20 12:25 EDT, Steven Michael Williams
no flags Details
lspic -vvvxxx output (53.33 KB, text/plain)
2013-06-20 12:26 EDT, Steven Michael Williams
no flags Details
test patch (6.39 KB, text/plain)
2013-07-05 13:25 EDT, Narendra K
no flags Details
ifcfg-em1 contents (342 bytes, text/plain)
2013-07-14 12:51 EDT, Steven Michael Williams
no flags Details
ifcfg-em2 contents (332 bytes, text/plain)
2013-07-14 12:52 EDT, Steven Michael Williams
no flags Details

  None (edit)
Description Steven Michael Williams 2013-06-19 10:30:47 EDT
Description of problem: Currently one of the network interfaces that was em2 just a few days ago has become rename3. Upon further investigation running biosdevname -d command the kernel name is rename3 and Bios device is em2. This is causing some issues with dhcpd coming up on boot, and it even has to be started manually.


Version-Release number of selected component (if applicable): 0.4.1 for biosdevname and kernel 3.9.5-201.fc18.i686


How reproducible: Rebooting does not fix it.


Steps to Reproduce:
1.
2.
3.

Actual results:
Device name is rename3

Expected results:
Device name should be em2.

Additional info:
Comment 1 Narendra K 2013-06-20 10:21:11 EDT
Hello,

Could you please attach the following information ?

Output from

1. biosdevname -d
2. lspci -tv and lspci -vvvxxx
3. dmidecode
4. biosdecode

Also, it would be great if could give the latest biosdevname a try from the git repository  -

http://linux.dell.com/cgi-bin/gitweb/gitweb.cgi?p=biosdevname.git;a=summary

./autogen.sh
make
make install

The install can be reverted by issuing 'make uninstall'.
Comment 2 Steven Michael Williams 2013-06-20 12:22:39 EDT
Created attachment 763514 [details]
biosdevname output
Comment 3 Steven Michael Williams 2013-06-20 12:23:18 EDT
Created attachment 763515 [details]
biosdecode output
Comment 4 Steven Michael Williams 2013-06-20 12:25:09 EDT
Created attachment 763516 [details]
dmidecode.output
Comment 5 Steven Michael Williams 2013-06-20 12:25:50 EDT
Created attachment 763517 [details]
lspic-tv.output
Comment 6 Steven Michael Williams 2013-06-20 12:26:34 EDT
Created attachment 763518 [details]
lspic -vvvxxx output
Comment 7 Steven Michael Williams 2013-06-20 12:46:07 EDT
After building biosdevname from the latest git commit it is back to being em2 with dhcpd working from boot as normal. I am wondering what caused the problem though.
Comment 8 Steven Michael Williams 2013-06-23 11:10:59 EDT
It seems like after a reboot on Friday it has defaulted back to using rename3 for em2.
Comment 9 Narendra K 2013-07-03 14:36:20 EDT
This issue seems similar to buzilla 782145. Looking at the attached dmidecode output (comment #4), the system does not have SMBIOS type 41 records for onboard NICs. The onboard devices are being named based on PIRQ table (refer to the attached biosdecode output). There seems to be possibility of 'addslot' function in biosdevname returning same value for two or more interfaces (same dev->embedded_index - refer to point 1 below), causing the interfaces to get same name resulting in a name clash.

get_pci_devices
    set_pci_slots
       addslot (point 1 below)

 
if (dev->physical_slot == 0) {
       dev->embedded_index_valid = 1;
       dev->embedded_index = addslot(state, 0);<------- 1
  } else if (dev->physical_slot != PHYSICAL_SLOT_UNKNOWN) {
       dev->index_in_slot = addslot(state, dev->physical_slot); 
}

The issue would not happen on systems with SMBIOS 41 records for onboard NICs.

Looking into this issue further.
Comment 10 Steven Michael Williams 2013-07-03 14:41:21 EDT
I replaced the CMOS battery and since then I haven't had any issues with it and it has been up for 5 days now. If it helps this machine is about 6 or 7 years old.
Comment 11 Narendra K 2013-07-05 13:25:33 EDT
Created attachment 769345 [details]
test patch
Comment 12 Narendra K 2013-07-05 13:29:45 EDT
Hello, could you please try the test patch from comment #11 and share the results ? It would be helpful if the results are taken from/across more than one reboot.
Comment 13 Steven Michael Williams 2013-07-08 10:51:11 EDT
Applied the patch. Rebooted 5 times. Out of the five times it showed up as rename3 4 times and em2 once.
Comment 14 Narendra K 2013-07-09 14:48:20 EDT
(In reply to Steven Michael Williams from comment #13)
> Applied the patch. Rebooted 5 times. Out of the five times it showed up as
> rename3 4 times and em2 once.

Thank you for testing the patch. It is not clear why there is still a conflict for 'em2' device. 

1. Could you please verify that there is no '70-persistent-net.rules' file under '/etc/udev/rules.d/'. If exists, please remove it and reboot.

2. Please share the configuration files present under /etc/sysconfig/network-scripts/.

As the issue is seen with the test patch, it would be helpful to know if the issue is seen on biosdevname-0.3.11 also. It is available here -

http://linux.dell.com/biosdevname/biosdevname-0.3.11/biosdevname-0.3.11.tar.gz
Comment 15 Steven Michael Williams 2013-07-14 12:47:56 EDT
The only thing under /etc/udev/rules.d/ is 90-vboxdrv.rules.

I will attach the configuration files for the two interfaces shortly, and build that version of biosdevname.
Comment 16 Steven Michael Williams 2013-07-14 12:51:52 EDT
Created attachment 773383 [details]
ifcfg-em1 contents
Comment 17 Steven Michael Williams 2013-07-14 12:52:26 EDT
Created attachment 773384 [details]
ifcfg-em2 contents
Comment 18 Fedora End Of Life 2013-12-21 09:04:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2014-02-05 16:52:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.